- MongoDB C Driver 1.13.1 »
- API Reference

# mongoc_gridfs_file_list_t

## Synopsis

    #include <mongoc/mongoc.h>

    typedef struct _mongoc_gridfs_file_list_t mongoc_gridfs_file_list_t;

## Description

`mongoc_gridfs_file_list_t` provides a gridfs file list abstraction. It provides iteration and basic marshalling on top of a regular mongoc_collection_find_with_opts() style query. In interface, it’s styled after mongoc_cursor_t.

## Example

    mongoc_gridfs_file_list_t *list;
    mongoc_gridfs_file_t *file;

    list = mongoc_gridfs_find (gridfs, query);

    while ((file = mongoc_gridfs_file_list_next (list))) {
       do_something (file);

       mongoc_gridfs_file_destroy (file);
    }

    mongoc_gridfs_file_list_destroy (list);

## Functions

- mongoc_gridfs_file_list_destroy()
- mongoc_gridfs_file_list_error()
- mongoc_gridfs_file_list_next()

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.